# Get details for all your accounts

Retrieve account details for all your accounts.

Endpoint: GET /accounts/balance
Version: v1
Security: basicAuth

## Header parameters:

  - `WP-CorrelationId` (string)
    Optional ID to trace requests, if not provided, it is generated.
    Example: "15cd16b2-7b82-41cb-9b11-21be9dacad88"

## Query parameters:

  - `entity` (string)
    Your unique 6-digit ID given during the onboarding process.
    Example: "11155"

## Response 200 fields (application/json):

  - `entity` (string,null)
    Your unique 6-digit ID given to you during the onboarding process.
    Example: "111155"

  - `accounts` (array,null)
    Collection of account details.

  - `accounts.accountNumber` (string,null)
    The account number.
    Example: "1111557890987654"

  - `accounts.accountName` (string,null)
    The name of the account. (This is given to you during onboarding and typically consists of your merchant name followed by the currency code.)
    Example: "Etsy GBP"

  - `accounts.currency` (string,null)
    The [ISO 4217 currency codes](/products/reference/supported-countries-currencies#iso-currency-codes) of the account.
    Example: "GBP"

  - `accounts.clearedBalance` (number)
    The cleared balance.
    Example: 142.5

  - `accounts.unclearedBalance` (number)
    The uncleared balance.
    Example: 100.8

  - `accounts.balance` (number)
    The total balance.
    Example: 243.5

  - `accounts.accountStatus` (string,null)
    The status of the account.
    Example: "ACTIVE"

## Response 400 fields (application/json):

  - `httpStatusCode` (integer)
    The HTTP status.

  - `customCode` (string,null)
    The unique response code for this endpoint.

  - `message` (string,null)
    The error message.

  - `errors` (object,null)
    Collection of error details.

## Response 401 fields (application/json):

  - `httpStatusCode` (integer)
    The HTTP status.

  - `customCode` (string,null)
    The unique response code for this endpoint.

  - `message` (string,null)
    The error message.

  - `errors` (object,null)
    Collection of error details.

## Response 403 fields (application/json):

  - `httpStatusCode` (integer)
    The HTTP status.

  - `customCode` (string,null)
    The unique response code for this endpoint.

  - `message` (string,null)
    The error message.

  - `errors` (object,null)
    Collection of error details.

## Response 404 fields (application/json):

  - `httpStatusCode` (integer)
    The HTTP status

  - `customCode` (string,null)
    The unique response code for this endpoint.

  - `message` (string,null)
    The error message.

## Response 500 fields (application/json):

  - `httpStatusCode` (integer)
    The HTTP status

  - `customCode` (string,null)
    The unique response code for this endpoint.

  - `message` (string,null)
    The error message.


